#!/bin/bash
# Copyright (C) 2011 Generalitat de Catalunya 
# 
# This file is part of Linkat Tumbleweed.  
# 
# Linkat Tumbleweed is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3 of the License, or (at your option) any
# later version.
# 
# Linkat Tumbleweed is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for further
# details, currently published at http://www.gnu.org/licenses/gpl.txt or in the
# gpl.txt in the ["legal" folder] of this distribution.
# 
# You should have received a copy of the GNU General Public License along with
# this program; If not, see <http://www.gnu.org/licenses/>
# 
# Authors: Jordi "Txor" Casas Ríos (jcasas@opentrends.net), openTrends Solucions i Sistemes, S.L.
# 
# You may contact the copyright holder at: linkat@xtec.cat
# 

#
# This script launches an Update.
#

# Load library
. /usr/share/install-linkat-tumbleweed/lib-Linkat_Tumbleweed.sh

# check that we are root
check_we_are_root

# Check and kill packagekit
check_kill_packagekit

# Launch update
zypper -n up -l

# Launch codecs YMP
spawn_info "Instal·lació de còdecs i programari addicional" "Heu de continuar el procés manualment, instaleu i accepteu els paquets i certificats que se us demani." 
$ONECLICKUI http://download-linkat.xtec.net/distribution/linkat-tumbleweed/scripts/codecs-i-programari-addicional.ymp

# Launch linkat4edu YMP
spawn_info "Instal·lació dels paquets de la Linkat 4 Educació" "Heu de continuar el procés manualment, instaleu i accepteu els paquets i certificats que se us demani. Si us apareixen conflictes sobre paquets de branding, seleccioneu la seva desinstal·lació." 
$ONECLICKUI http://download-linkat.xtec.net/distribution/linkat-tumbleweed/scripts/linkat4edu.ymp

# Prompt user for reboot
prompt_reboot

exit 0

